require 'roda'
require_relative 'lib/cat_list'

class App < Roda
  plugin :render
  plugin :assets

  opts[:cats] = CatList.new
  opts[:cats].fill_with_random_cats

  route do |r|
    r.root do
      r.redirect '/cats'
    end

    r.on 'cats' do
      r.is do
        r.get do
          @cats = opts[:cats]
          view :cats
        end
      end

      r.on Integer do |cat_id|
        @cat = opts[:cats].cat_by_id(cat_id)
        view :cat
      end

      r.on 'new' do
        r.get do
          view :cat_form
        end

        r.post do
          
        end
      end
    end
  end
end
